function traitement(enregistrer)
	{
		var errors = [];
		var alphaExp = /^[a-zA-Z]+$/;
		var numericExpression = /^[0-9]+$/;
		
		var email = document.getElementById('email').value;
		var identifiant = document.getElementById('identifiant').value;
		
		var password1 = document.getElementById('password1').value;
		var password2 = document.getElementById('password2').value;
		
		var telephone = document.getElementById('telephone').value;
		
		
		
		var test0 =document.enregistrer.civ[0].checked ;
		var test1 =document.enregistrer.civ[1].checked ;
		var test2 =document.enregistrer.civ[2].checked ;
		
		
		//var civilite = document.getElementById('civ').value;
		
		
		var nom = document.getElementById('nom').value;
		var prenom = document.getElementById('prenom').value;
		var adr = document.getElementById('adr1').value;
		var cp = document.getElementById('cp').value;
		var ville = document.getElementById('ville').value;
		
		
		
		//var condition = document.getElementById('newsletter').checked;

		
		//alert("Cretin");
		
		//alert('RAPPEL : ' + condition');
		
		/*if(form.newsletter.checked == false)
		  {alert("Detection")
			return false;
		  }	

	    	if(isCGVChecked == false)
		 {
			alert("Pour valider votre commande, merci de cocher la case concernant l'acception des conditions générales de vente")
			return false;
		 }
		else {  alert('Merci pour votre don');
    		     }*/
		
		
		
		
		if(email == "")
		{	 errors[errors.length] = "Vous devez saisir votre email.";
		  
 		}
 		else {   var trame= /^\w+([.-]\w+)*@\w+([.-]\w+)*\.\w{2,8}$/;
			 if(trame.test(email) == false )
			   { errors[errors.length] = "Votre email n'est pas valide.";
			    
			   }  
		     }
		
		
		if(identifiant == "")
		{	 errors[errors.length] = "Vous devez saisir un identifiant.";
			 
		   
 		}
 		else {
			   if ( identifiant.length <6 || identifiant.length >12 )
				{  errors[errors.length] = "L'identifiant doit comporter au moins 6 caractéres et 12 au plus.";
				   
		  		}
			 }
		
		
		if(password1 == "")
		{	 errors[errors.length] = "Vous devez saisir votre password.";
		        
		  
 		}
 		
 		else {
			   if ( password1.length <6 || password1.length >10 )
				{  errors[errors.length] = "Le password doit comporter au moins 6 caractéres et 10 au plus.";
				   
		  		}
			 }
 		
		     
		
		if(password2 == "")
		{	 errors[errors.length] = "Vous devez confirmer votre password.";
		         
		  
 		}
 		
 		else {
 		
 			 if ( password1 != password2)
				{  errors[errors.length] = "Le password n'est pas identique.";
				   
		  		}
		     }
		
		
		if(telephone == "")
		{	 errors[errors.length] = "Vous devez donner un numéro de téléphone.";
		         
		  
 		}
		
		else {  
			    if(!telephone.match(numericExpression))
		  	      { 
				    errors[errors.length] = "Votre numéro de téléphone n'est pas valide.";
				    
		          }
				  
				 else { 
				         if ( telephone.length != 10 )
					   {  errors[errors.length] = "Votre numéro de téléphone n'est pas valide.";
					      
					   }
				      }
			 }
		
		if( test0 == false && test1 == false && test2 == false )
		   {  errors[errors.length] = "Vous devez renseigner le champ civilité.";
		   }
		
		
		if(nom == "")
		{	 errors[errors.length] = "Saisir votre nom.";
		         
		    
 		}
		else {
			    if(!nom.match(alphaExp))
		  	      { errors[errors.length] = "Votre nom doit contenir uniquement des lettres.";
		  	        
		          }
			 }
	
		
		if(prenom == "")
		{	 errors[errors.length] = "Saisir votre prénom.";
		         
		    
 		}
		else {  
			    if(!prenom.match(alphaExp))
		  	      { 
				    errors[errors.length] = "Votre prénom doit contenir uniquement des lettres.";
				    
		          }
			 }
		
		if(adr == "")
		{	 errors[errors.length] = "Saisir votre adresse.";
		        
		    
 		}
		
		
		if(cp == "")
		{	 errors[errors.length] = "Saisir votre code postal.";
		         
		    
 		}
		else {  
			    if(!cp.match(numericExpression))
		  	      { 
				    errors[errors.length] = "Votre code postal doit contenir uniquement des chiffres.";
				    
		          }
				  
				 else { 
				         if ( cp.length <5 )
					    {  errors[errors.length] = "Votre code postal est invalide.";
			 		       
					    }
				      }
		  }
			 		
		if(ville == "")
		{	 errors[errors.length] = "Saisir le nom de votre ville.";
			 
		    
 		}		
		else {
			    if(!ville.match(alphaExp))
		  	      { errors[errors.length] = "Le nom de votre ville doit contenir uniquement des lettres.";
		  	        
		          }
			 }
		
				
		if ( enregistrer.termes.checked == false )
        	{
        		errors[errors.length] = "Vous devez accepter les conditions générales ci-dessous.";
        	}

				
		if ( enregistrer.publicite.checked == false )
        	{
        		//alert("interdit");
        		document.getElementById('pub').value="non";
        	}
		
		if ( enregistrer.publicite.checked == true )
        	{
        		//alert("PUB");
        		document.getElementById('pub').value="oui";
        	}			
					
		if (errors.length > 0)
		{
		  reportErrors(errors);
		  return false;
		  
		}
	        else { 
	               
			document.getElementById('valide').value="ok";
			
			;return true;	
	             }	

		function reportErrors(errors)
		{
		  var msg = "Veuillez apporter les corrections suivantes...\n";
		  for (var i = 0; i<errors.length; i++) 
		  {
			 var numError = i + 1;
		     msg += "\n" + numError + ". " + errors[i];
		  }
		 alert(msg);
		}


		
	}

function writediv_identifiant(texte)

     {

     document.getElementById('identifiant_box').innerHTML = texte;

     }

function writediv_email(texte)

     {

     document.getElementById('email_box').innerHTML = texte;

     }



function verif_identifiant(identifiant)

     {

     if(identifiant != '')

               {

               if(identifiant.length<5)

                         writediv_identifiant('<span style="color:#cc0000"><b>'+identifiant+' :</b> Trop court !</span>');

               else if(identifiant.length>20)

                         writediv_identifiant('<span style="color:#cc0000"><b>'+identifiant+' :</b> Trop long !</span>');

               else if(texte = file('verifier_identifiant.php?identifiant='+escape(identifiant)))

                         {
	

          if(texte == 1)
	  {
               writediv_identifiant('<span style="color:#cc0000"><b>'+identifiant+' :</b> est déjà pris !</span>');
               document.getElementById('valide_identifiant').value="non";
	}
          else if(texte == 2)
	{
               writediv_identifiant('<span style="color:#006600"><b>'+identifiant+' :</b> est disponible !</span>');
	       document.getElementById('valide_identifiant').value="ok";	
	    }   
          else

               writediv_identifiant(texte);

                         }

               }



     }
     
function verif_email(email)

     {

     if(email != '')

               {

               if(email.length<5)

                         writediv_email('<span style="color:#cc0000"><b>'+email+' :</b> Trop court !</span>');

               else if(email.length>30)

                         writediv_email('<span style="color:#cc0000"><b>'+email+' :</b> Trop long !</span>');

               else if(texte = file('verifier_email.php?email='+escape(email)))

                         {
	

          if(texte == 1)
	    {
               writediv_email('<span style="color:#cc0000"><b>'+email+' :</b> est déjà pris !</span>');
	       document.getElementById('valide_email').value="non";	
	    }	
          else if(texte == 2)
               {
               writediv_email('<span style="color:#006600"><b>'+email+' :</b> est disponible !</span>');
	        document.getElementById('valide_email').value="ok";
	       } 	
          else

               writediv_email(texte);

                         }

               }



     }     



function file(fichier)

     {

     if(window.XMLHttpRequest) // FIREFOX

          xhr_object = new XMLHttpRequest();

     else if(window.ActiveXObject) // IE

          xhr_object = new ActiveXObject("Microsoft.XMLHTTP");

     else

          return(false);

     xhr_object.open("GET", fichier, false);

     xhr_object.send(null);

     if(xhr_object.readyState == 4) return(xhr_object.responseText);

     else return(false);

     }		